<?php

require "ActionQuantik.php";
//classe ActionQuantik

echo "</br>";
echo "</br> Test de la classe ActionQuantik </br>";
$tab = new PlateauQuantik();
//on crée un plateau et on le rempli de piece
$tab->setPiece(0, 0, PieceQuantik::initWhiteCube());
$tab->setPiece(0, 1, PieceQuantik::initWhiteCylindre());
$tab->setPiece(0, 2, PieceQuantik::initWhiteSphere());
$tab->setPiece(0, 3, PieceQuantik::initWhiteCone());
$tab->setPiece(1, 0, PieceQuantik::initVoid());
$tab->setPiece(1, 1, PieceQuantik::initWhiteCone());
$tab->setPiece(1, 2, PieceQuantik::initVoid());
$tab->setPiece(1, 3, PieceQuantik::initVoid());
$tab->setPiece(2, 2, PieceQuantik::initVoid());
$tab->setPiece(2, 0, PieceQuantik::initVoid());
$tab->setPiece(2, 1, PieceQuantik::initVoid());
$tab->setPiece(2, 3, PieceQuantik::initVoid());
$tab->setPiece(3, 0, PieceQuantik::initVoid());
$tab->setPiece(3, 1, PieceQuantik::initVoid());
$tab->setPiece(3, 2, PieceQuantik::initVoid());
$tab->setPiece(3, 3, PieceQuantik::initVoid());

//on effectue des actions sur le plateau en jouant
$action = new ActionQuantik($tab);
echo $action."</br></br>";

echo "On verifie si les pieces de la ligne  0 forment une combinaison gagnante</br>";
echo "isRowWin 0: ".$action->isRowWin(0)."</br></br>";

echo "On verifie si les pieces de la ligne  1 forment une combinaison gagnante</br>";
echo "isRowWin 1: ".$action->isRowWin(1)."</br></br>";

//on change la piece qui se trouve à la ligne 1 et à la colonne 0 par une piece blanche en forme de cone
echo "posePiece noir cone à la ligne 1 et col 0".$action->posePiece(1, 0, PieceQuantik::initBlackCone())."</br>";

//on change la piece qui se trouve à la ligne 2 et à la colonne 1 par une piece noire en forme de cube
echo "posePiece noir cube à la ligne 2 et col 1".$action->posePiece(2, 1, PieceQuantik::initBlackCube())."</br>";

//on change la piece qui se trouve à la ligne 1 et à la colonne 1 par une piece noire en forme de cylindre
echo "posePiece noir cylindre à la ligne 3 et col 1".$action->posePiece(3, 1, PieceQuantik::initBlackSphere())."</br></br>";
echo $action."</br></br>";


//on verifie si les pieces de la colonne 1 forment une combinaison gagnante
echo "isColWin col 1: ".$action->isColWin(1)."</br>";

//on change la piece qui se trouve à la ligne 2 et à la colonne 0 par une piece noire en forme de cone
echo "posePiece noir cone à la ligne 2 et col 0".$action->posePiece(2, 0, PieceQuantik::initBlackCone())."</br>";

//on change la piece qui se trouve à la ligne 3 et à la colonne 0 par une piece noire en forme de cylindre
echo "posePiece noir cylindre à la ligne 3 et col 0".$action->posePiece(3, 0, PieceQuantik::initBlackCylindre())."</br></br>";
echo $action."</br></br>";

//on vérifie si i les pieces de la zone 2 forment une combinaison gagnante
echo "isCorner 2: ".$action->isCornerWin(2)."</br>";

?>